@import url('https://fonts.googleapis.com/css2?family=Press+Start+2P&display=swap');

body {
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
    background-color: lightblue;
}

#toggle-nav {
    position: fixed;
    /* Zorgt ervoor dat de knop op een vaste positie blijft */
    top: 10px;
    left: 10px;
    padding: 2vh 5vh 2vh 5vh;
    background-color: #333;
    color: white;
    border: none;
    cursor: pointer;
    z-index: 1000;
    /* Zorgt ervoor dat de knop boven andere elementen blijft */
}

#region-nav {
    position: fixed;
    top: 50px;
    left: 8px;
    background-color: #f8f9fa;
    border: 1px solid #ccc;
    margin-top: 1vh;
    padding: 10px;
    width: 13.5vh;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    z-index: 1000;
}

.hidden {
    display: none;
}

#region-nav ul {
    list-style-type: none;
    padding: 0;
}

#region-nav li {
    margin-bottom: 10px;
}

#region-nav a {
    text-decoration: none;
    color: #007bff;
}

h1.main-title {
    text-align: center;
    font-family: "Protest Strike", sans-serif;
    font-weight: 400;
    font-style: normal;
    text-shadow: black 2px 6px;
    color: white;
    font-size: 6vh;
    font-weight: bold;
}

h2 {
    background-color: white;
    padding: 4px;
    text-transform: capitalize;
    color: rgba(14, 14, 42, 0.7);
}

h2 span {
    background-color: darkgreen;
    color: white;
    font-size: 0.9em;
    padding: 4px;
    border-radius: 12px;
}

#pokemon-gallery {
    max-width: 1200px;
    margin: 0 auto 1rem;
    display: grid;
    grid-gap: 1rem;
    grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
    justify-items: center;
}

.region-break {
    width: 100%;
    height: 2px;
    /* Dikte van de lijn */
    background-color: black;
    /* Kleur van de lijn */
    margin: 1rem 0;
    /* Ruimte boven en onder de lijn */
    display: block;
    /* Zorg ervoor dat het een blok-element is */
    grid-column: 1 / -1;
    /* Neemt de volledige breedte van de grid */
}

.region-name {
    text-align: center;
    /* Centreer de regio naam */
    font-weight: bold;
    /* Maak de tekst vetgedrukt */
    margin: 0.5rem 0;
    /* Ruimte boven en onder de regio naam */
    color: darkblue;
    /* Kleur van de regio naam */
}


#pokemon-gallery.dialog-open {
    filter: blur(10px);
}

.pokemon-card {
    margin: 3vh 0vh 0vh 0vh;
    width: 180px;
    text-align: center;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    transition: 0.3s;
    background-color: rgba(255, 255, 255, 0.5);
    border: 5px solid white;
    border-radius: 10px;
    cursor: pointer;
    transform-origin: center;
}

.region-image {
    width: 96%;
    /* Zorg ervoor dat de afbeelding de volledige breedte gebruikt */
    height: 270px;
    /* Stel de hoogte in op 180px, dezelfde hoogte als de Pokémon kaarten */
    object-fit: cover;
    /* Zorg ervoor dat de afbeelding de juiste verhouding behoudt */
    margin-top: 1vh;
    /* Voeg wat marge toe aan de boven- en onderkant */
    display: block;
    border: 5px solid black;
    /* Zorg ervoor dat het een blok-element is */
    border-radius: 10px;
    /* Geef het dezelfde afgeronde hoeken als de Pokémon kaarten */
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    /* Voeg een schaduw toe voor consistentie */
}

.region-container {
    /* Zorg ervoor dat de container de volledige breedte gebruikt */
    margin: 2.5vh 0vh 0vh 0vh;
    /* Voeg wat marge toe aan de boven- en onderkant */
    position: relative;
    /* Voor positionering van de naam overlay */
}

.region-name-hisui {
    position: absolute;
    bottom: 5vh;
    left: 0;
    right: 0;
    text-align: center;
    font-weight: bold;
    font-size: 2.5rem;
    color: white;
    background-color: rgba(0, 0, 0, 0.5);
    padding: 0.5rem;
    border-radius: 0 0 10px 10px;
    font-family: "Satisfy", cursive;
    font-weight: 400;
    font-style: normal;
}

.region-name-paldea {
    position: absolute;
    bottom: 5vh;
    left: 0;
    right: 0;
    text-align: center;
    font-weight: bold;
    font-size: 2.5rem;
    color: white;
    background-color: rgba(0, 0, 0, 0.5);
    padding: 0.5rem;
    border-radius: 0 0 10px 10px;
    font-family: "Merriweather", serif;
    font-weight: 400;
    font-style: normal;
}

.region-name-regionals {
    position: absolute;
    bottom: 5vh;
    left: 0;
    right: 0;
    text-align: center;
    font-weight: bold;
    font-size: 2rem;
    color: white;
    background-color: rgba(0, 0, 0, 0.5);
    padding: 0.5rem;
    border-radius: 0 0 10px 10px;
    font-family: "Oswald", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
}

.kanto-counter,
.johto-counter,
.hoenn-counter,
.sinnoh-counter,
.unova-counter,
.kalos-counter,
.alola-counter,
.galar-counter,
.hisui-counter,
.paldea-counter,
.regional-forms-counter {
    text-align: center;
    /* Centreert de tekst */
    margin: 1.5vh 0;
    /* Optionele marge boven en onder de counter */
    font-family: "Poppins", sans-serif;
    font-weight: 700;
    font-style: normal;
    text-shadow: darkred 2px 3px;
    /* Zelfde schaduw als de titel */
    color: white;
    /* Zelfde kleur als de titel */
    font-size: 3.5vh;
}



.pokemon-card:hover {
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.4);
    transform: scale(1.1);
}

.pokemon-card h2 {
    font-size: 18px;
    margin-bottom: 0.5rem;
}

.pokemon-card img {
    width: 100%;
}

.pokemon-card button {
    width: 100%;
    cursor: pointer;
    border: 0;
    padding: 0.5rem;
    margin-top: 0.5rem;
    font-weight: bold;
}

.error {
    text-align: center;
    color: red;
}

.modal {
    opacity: 0;
    transition: all 0.7s ease;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    border: none;
    border-radius: 16px;
    padding: 0px;
    box-shadow: 0 16px 22px 0 rgba(0, 0, 0, 0.6);
}

.modal[open] {
    opacity: 1;
    transition-delay: 0s;
}

.modal::backdrop {
    background-color: rgba(0, 0, 0, 0.5);
}

.modal-close {
    position: absolute;
    top: 5px;
    right: 5px;
    outline: none;
    appearance: none;
    color: goldenrod;
    background: none;
    border: 0;
    font-weight: bold;
    font-size: 22px;
    cursor: pointer;
}

.modal-content h1 {
    margin: 0;
    padding: 20px;
    background-color: rgb(43, 123, 73);
    color: white;
    text-transform: capitalize;
}

.modal-content img {
    width: 300px;
}

/* shiny shiny */
.modal-content::after {
    content: "";
    position: absolute;
    display: block;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    background-image: linear-gradient(0deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.4) 52%, rgba(255, 255, 255, 0) 100%);
    animation: shiny-animation 5s ease-in-out infinite alternate;
    background-position-y: 0px;
}

.pokemon-card.selected {
    border-color: gold;
}


@keyframes shiny-animation {
    0% {
        background-position-y: 0px;
    }

    100% {
        background-position-y: 600px;
    }
}